# shm_put_var

(PHP 4, PHP 5, PHP 7, PHP 8)

shm_put_var — Inserts or updates a variable in shared memory

### 说明

shm_put_var(SysvSharedMemory `$shm`, int `$key`, mixed `$value`): bool

shm_put_var() inserts or updates the `value` with the given `key`.

Warnings (`E_WARNING` level) will be issued if `shm` is not a valid SysV shared memory index or if there was not enough shared memory remaining to complete your request.

### 参数

`shm`

  A shared memory segment obtained from shm_attach().

`key`

  The variable key.

`value`

  The variable. All variable types that serialize() supports may be used: generally this means all types except for resources and some internal objects that cannot be serialized.

### 返回值

成功时返回 `true`， 或者在失败时返回 `false`。

### 更新日志

版本 | 说明
--- | ---
8.0.0 | `shm` expects a SysvSharedMemory instance now; previously, a resource was expected.

### 参见

- shm_get_var() - Returns a variable from shared memory
- shm_has_var() - Check whether a specific entry exists

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open